Sety
  1. Access Logs
Sety
  • Developer API Reference
  • Health
    • Health check
      GET
  • Incidents
    • Create incident
      POST
    • List incidents
      GET
    • Get incident
      GET
    • Cancel incident
      POST
    • Add note
      POST
  • Access Logs
    • List access logs
      GET
    • Access log stats
      GET
    • Create access log
      POST
    • Get current visitors
      GET
    • Checkout visitor
      PATCH
  • Threat Intelligence
    • List danger zones
      GET
    • Danger analytics for a location
      GET
    • Heatmap data
      GET
    • Safety score
      GET
    • Route safety analysis
      GET
  • Schemas
    • Error
    • PaginatedResponse
    • GeoPoint
    • Subject
    • Location
    • IncidentLocation
    • SLA
    • IncidentTimelineEvent
    • ResponderAssignment
    • TimelineEvent
    • Incident
    • CreateIncidentRequest
    • IncidentAnalytics
    • AccessCode
    • CreateAccessCodeRequest
    • ValidationResult
    • AccessLog
    • CurrentVisitor
    • DangerAnalytics
    • HeatmapResponse
    • SafetyScore
    • TimeAnalysis
    • LocationComparison
    • RouteSafety
    • RiskPrediction
    • IncidentPatterns
    • SafeZones
    • ApiKey
    • CreateApiKeyRequest
    • WebhookEndpoint
    • WebhookDelivery
  1. Access Logs

Checkout visitor

PATCH
/access-logs/{logId}/checkout

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
Visitor checked out
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/access-logs//checkout' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "checkout_notes": "string"
}'
Response Response Example
{
    "access_log": {
        "log_id": "string",
        "visitor_name": "string",
        "visitor_phone": "string",
        "entry_point": "string",
        "status": "checked_in",
        "checked_in_at": "2019-08-24T14:15:22.123Z",
        "checked_out_at": "2019-08-24T14:15:22.123Z",
        "duration_minutes": 0
    }
}
Modified at 2026-03-10 02:58:16
Previous
Get current visitors
Next
List danger zones
Built with